/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

This file is part of Scotty.

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package storage

import (
	"time"

	"gorm.io/datatypes"
)

type ImportTimestamp struct {
	SourceService string `gorm:"primaryKey"`
	TargetService string `gorm:"primaryKey"`
	Entity        string `gorm:"primaryKey"`
	CreatedAt     time.Time
	UpdatedAt     time.Time
	Timestamp     time.Time `gorm:"default:'1970-01-01T00:00:00'"`
}

type OAuth2Token struct {
	Service   string         `gorm:"primaryKey"`
	Token     datatypes.JSON `gorm:"type:json"`
	CreatedAt time.Time
	UpdatedAt time.Time
}

func (OAuth2Token) TableName() string {
	return "oauth2_tokens"
}
